Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 25 Dec 2021, 17:32
geosharing geosharing is offline
 
Join Date: Jul 2015
Help me core problems

Hello forum i have facing aa core error when i save something in admanager ads please help me

Php 7.3.32
Vb 4.2.5

Geosharing.net

Here error picture
Attached Images
File Type: jpg Screenshot_20211224_215924.jpg (64.5 KB, 13 views)
Reply With Quote
  #2  
Old 26 Dec 2021, 00:43
Dead Eddie's Avatar
Dead Eddie Dead Eddie is offline
 
Join Date: Apr 2004
You can't run VB 4.2.5 with PHP 7.3. You need to downgrade to 7.1, or move to a supported version of Vbulletin.
Reply With Quote
  #3  
Old 28 Dec 2021, 16:38
geosharing geosharing is offline
 
Join Date: Jul 2015
Originally Posted by Dead Eddie View Post
You can't run VB 4.2.5 with PHP 7.3. You need to downgrade to 7.1, or move to a supported version of Vbulletin.

But was everything is fine this problem coming after some mods installation

and i remove all mods but still problems
Reply With Quote
  #4  
Old 29 Dec 2021, 12:04
Dead Eddie's Avatar
Dead Eddie Dead Eddie is offline
 
Join Date: Apr 2004
Originally Posted by geosharing View Post
But was everything is fine this problem coming after some mods installation

and i remove all mods but still problems
Those errors don't appear to be add-on related. However, if you think you have a problem with an add-on, you should be talking to the author.

Otherwise, if you want to run vBulletin 4.2.5 on PHP7.3, you WILL have problems because it wasn't written to work with 7.3. This appears to be one of them.
Reply With Quote
  #5  
Old 10 Jan 2022, 13:40
Hostboard's Avatar
Hostboard Hostboard is offline
 
Join Date: May 2002
Real name: Steven
As Dead Eddie noted vBulletin 4.2.5's last "supported" PHP version is PHP 7.1.x In order to run it on newer versions you will need to update the code to be compliant. You can either do it yourself, hire a PHP programmer (no need to be a VB developer), or use this:

https://vbulletin.org/forum/showthre...highlight=php8

However even after you update the core you will be left with having to update your mods as well.

PHP 7.1 reached EoL back in 2019.
PHP 7.2 reached EoL back in 2020
PHP 7.3 reached EoL back in 2021
PHP 7.4 will reach EoL in 2022
PHP 8.0 will reach EoL in 2023
PHP 8.1 will reach EoL in 2024

As you can see the development cycle is pretty aggressive and the issue will be that shared hosting services will drop support for EoL products noting performance and security issues.

YMMV
__________________
-----------------------------------------------------------
Running custom version of vBulletin based on v4.2.5
PHP 7.4.x :: MariaDB 10.5.x :: UTF8MB4 & InnoDB Tables
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 19:23.

Layout Options | Width: Wide Color: